nonstd::optional_lite::std11::conditional< B, T, F > Struct Template Reference

`#include <optional.hpp>`

## Public Types

typedef T | type

## Detailed Description

template<bool B, typename T, typename F>
struct nonstd::optional_lite::std11::conditional< B, T, F >

Definition at line 471 of file optional.hpp.

## Member Typedef Documentation

## type

template<bool B, typename T , typename F >

typedef T nonstd::optional_lite::std11::conditional< B, T, F >::type

Definition at line 471 of file optional.hpp.

The documentation for this struct was generated from the following file:

- restinio/third_party/optional-lite/optional.hpp